/*-----------------------------------*\

  Partial: Typography

  Low-level type things. Headings,
  links, blockquotes, etc.

\*-----------------------------------*/

h1, .alpha, %alpha {
  padding-top: $baseline*.5;
  margin-bottom: $baseline*2.5;

  font-family: $font-Display;
  font-size: $baseline*1.4;
  font-weight: 400;
  line-height: 1.25;
  orphans: 3;
  widows: 3;

  color: $dark-gray;

  @media (max-width: $breakpoint-small) {
    font-size: $baseline*1.2;
  }

  .caps {
    font-family: $font-Display;
    letter-spacing: 0;
  }
}

h2, .beta, %beta {
  padding-top: $baseline/2;
  margin-bottom: $baseline/2;

  font-size: 1.384615385rem;
  font-weight: 400;
  line-height: 1.2223;
  orphans: 3;
  widows: 3; 
}

h3, .gamma, %gamma {
  padding-top: $baseline/2;
  margin-bottom: $baseline/2;

  @extend %caps;
  font-size: 1rem;
  font-weight: 400;
  line-height: $baseline-unitless;
}

h4, .delta, %delta {
  font-size: 1rem;
  font-weight: 700;
  line-height: $baseline-unitless;
}

.mega {
  font-weight: 200;
  font-size: 2.153846154rem;
  line-height: 1.178571429;
}

.promo {
  text-align: center;
}

.subhead, .meta {
  color: $light-gray;
}

a, [data-href] {
  text-decoration: underline;

  color: inherit;
  transition: .2s;

  cursor: pointer;

  &:hover {
    color: $blue;
  }
}

.a--plain {
  text-decoration: none;
}

.caps, %caps {
  font-family: $font-Serif-SC;
  text-transform: uppercase;
  letter-spacing: .05em;
}

strong, .strong {
  font-weight: 700;
}

em, .em {
  font-style: italic;
}

hr {
  border: none;
  @include bg-image("tristar", auto $baseline);
  height: $baseline;
  margin-bottom: $baseline;
}

.hr--line {
  margin-top: -1px;
  height: 1px;

  background-image: none;
  background-color: $lighter-gray;
}

// Remove this for hanging bullets
ul, ol {
  padding-left: 1.35em;
}

  // Restore some normality to our nested lists
  li > ul, li > ol {
    margin-bottom: 0;
  }

dl {
  dt {
    font-weight: 700;
  }

  dd {
    padding-left: 1.3rem;
  }
}

blockquote {
  font-family: $font-Sans;
  padding-left: $baseline;
  border-left: 2px solid $blue;
  margin-left: -$baseline;
  color: $gray;

  @media (max-width: $breakpoint-small) {
    margin-left: 0;
  }

  .caps {
    font-family: $font-Sans-SC;
  }

  em {
    font-style: normal;
  }
}
